class Dog:

    species = "CANINE"

    def __init__(self, name, age):
        self.name = name
        self.age = age

    def bark(self):
        print("Woof! I am a", Dog.species)

class Dachshund(Dog):

    def runLowToGround(self):
        print("I'm runnin' so lowwwww...")
        
class RobotDog(Dog):

    species = "ROBOT"

    def bark(self):
        print("Woof! I am a", RobotDog.species)


class CurlyHairedDachshund(Dachshund, RobotDog):

    def printFurType(self):
        print("I'm soooo fluffy!")

        
def main():
    myPooch = CurlyHairedDachshund("Hercules!", 7)
    print("Hey,", myPooch.name, "- how old are you?")
    for bark in range(myPooch.age):
        myPooch.bark()
    #myPooch.jumpOver("LAUNDRY BASKET")
    myPooch.runLowToGround()
    myPooch.printFurType()
    
if __name__ == "__main__":
    main()
